<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (15) on Fri Jun 18 20:43:06 CEST 2021 -->
<title>Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-06-18">
<meta name="description" content="class tree">
<meta name="generator" content="javadoc/TreeWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="tree-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="nav-bar-cell1-rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="package-hierarchy-label">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="fr/iut/librarymanagement/package-tree.html">fr.iut.librarymanagement</a>, </li>
<li><a href="fr/iut/librarymanagement/controller/package-tree.html">fr.iut.librarymanagement.controller</a>, </li>
<li><a href="fr/iut/librarymanagement/controller/advice/package-tree.html">fr.iut.librarymanagement.controller.advice</a>, </li>
<li><a href="fr/iut/librarymanagement/controller/exception/package-tree.html">fr.iut.librarymanagement.controller.exception</a>, </li>
<li><a href="fr/iut/librarymanagement/domain/package-tree.html">fr.iut.librarymanagement.domain</a>, </li>
<li><a href="fr/iut/librarymanagement/repository/package-tree.html">fr.iut.librarymanagement.repository</a></li>
</ul>
</div>
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">fr.iut.librarymanagement.domain.<a href="fr/iut/librarymanagement/domain/Address.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">Address</span></a></li>
<li class="circle">fr.iut.librarymanagement.domain.<a href="fr/iut/librarymanagement/domain/Author.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">Author</span></a></li>
<li class="circle">fr.iut.librarymanagement.controller.<a href="fr/iut/librarymanagement/controller/AuthorController.html" title="class in fr.iut.librarymanagement.controller"><span class="type-name-link">AuthorController</span></a></li>
<li class="circle">fr.iut.librarymanagement.domain.<a href="fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">Book</span></a></li>
<li class="circle">fr.iut.librarymanagement.controller.<a href="fr/iut/librarymanagement/controller/BookController.html" title="class in fr.iut.librarymanagement.controller"><span class="type-name-link">BookController</span></a></li>
<li class="circle">fr.iut.librarymanagement.<a href="fr/iut/librarymanagement/Config.html" title="class in fr.iut.librarymanagement"><span class="type-name-link">Config</span></a></li>
<li class="circle">fr.iut.librarymanagement.controller.advice.<a href="fr/iut/librarymanagement/controller/advice/EmptyExceptionAdvice.html" title="class in fr.iut.librarymanagement.controller.advice"><span class="type-name-link">EmptyExceptionAdvice</span></a></li>
<li class="circle">fr.iut.librarymanagement.domain.<a href="fr/iut/librarymanagement/domain/Library.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">Library</span></a></li>
<li class="circle">fr.iut.librarymanagement.controller.<a href="fr/iut/librarymanagement/controller/LibraryController.html" title="class in fr.iut.librarymanagement.controller"><span class="type-name-link">LibraryController</span></a></li>
<li class="circle">fr.iut.librarymanagement.<a href="fr/iut/librarymanagement/LibraryManagementApplication.html" title="class in fr.iut.librarymanagement"><span class="type-name-link">LibraryManagementApplication</span></a></li>
<li class="circle">fr.iut.librarymanagement.domain.<a href="fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">LibraryQuantityAssociation</span></a></li>
<li class="circle">fr.iut.librarymanagement.controller.advice.<a href="fr/iut/librarymanagement/controller/advice/NotFoundExceptionAdvice.html" title="class in fr.iut.librarymanagement.controller.advice"><span class="type-name-link">NotFoundExceptionAdvice</span></a></li>
<li class="circle">fr.iut.librarymanagement.domain.<a href="fr/iut/librarymanagement/domain/Opinion.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">Opinion</span></a></li>
<li class="circle">fr.iut.librarymanagement.controller.advice.<a href="fr/iut/librarymanagement/controller/advice/RatingExceptionAdvice.html" title="class in fr.iut.librarymanagement.controller.advice"><span class="type-name-link">RatingExceptionAdvice</span></a></li>
<li class="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li class="circle">java.lang.Exception
<ul>
<li class="circle">java.lang.RuntimeException
<ul>
<li class="circle">fr.iut.librarymanagement.controller.exception.<a href="fr/iut/librarymanagement/controller/exception/EmptyException.html" title="class in fr.iut.librarymanagement.controller.exception"><span class="type-name-link">EmptyException</span></a></li>
<li class="circle">fr.iut.librarymanagement.controller.exception.<a href="fr/iut/librarymanagement/controller/exception/NotFoundException.html" title="class in fr.iut.librarymanagement.controller.exception"><span class="type-name-link">NotFoundException</span></a></li>
<li class="circle">fr.iut.librarymanagement.controller.exception.<a href="fr/iut/librarymanagement/controller/exception/RatingException.html" title="class in fr.iut.librarymanagement.controller.exception"><span class="type-name-link">RatingException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">fr.iut.librarymanagement.domain.<a href="fr/iut/librarymanagement/domain/User.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">User</span></a></li>
<li class="circle">fr.iut.librarymanagement.controller.<a href="fr/iut/librarymanagement/controller/UserController.html" title="class in fr.iut.librarymanagement.controller"><span class="type-name-link">UserController</span></a></li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li class="circle">org.springframework.data.mongodb.repository.MongoRepository&lt;T,&#8203;ID&gt; (also extends org.springframework.data.repository.PagingAndSortingRepository&lt;T,&#8203;ID&gt;)
<ul>
<li class="circle">fr.iut.librarymanagement.repository.<a href="fr/iut/librarymanagement/repository/AuthorRepository.html" title="interface in fr.iut.librarymanagement.repository"><span class="type-name-link">AuthorRepository</span></a></li>
<li class="circle">fr.iut.librarymanagement.repository.<a href="fr/iut/librarymanagement/repository/BookRepository.html" title="interface in fr.iut.librarymanagement.repository"><span class="type-name-link">BookRepository</span></a></li>
<li class="circle">fr.iut.librarymanagement.repository.<a href="fr/iut/librarymanagement/repository/LibraryRepository.html" title="interface in fr.iut.librarymanagement.repository"><span class="type-name-link">LibraryRepository</span></a></li>
<li class="circle">fr.iut.librarymanagement.repository.<a href="fr/iut/librarymanagement/repository/UserRepository.html" title="interface in fr.iut.librarymanagement.repository"><span class="type-name-link">UserRepository</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">org.springframework.data.repository.Repository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.CrudRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.mongodb.repository.MongoRepository&lt;T,&#8203;ID&gt; (also extends org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li class="circle">fr.iut.librarymanagement.repository.<a href="fr/iut/librarymanagement/repository/AuthorRepository.html" title="interface in fr.iut.librarymanagement.repository"><span class="type-name-link">AuthorRepository</span></a></li>
<li class="circle">fr.iut.librarymanagement.repository.<a href="fr/iut/librarymanagement/repository/BookRepository.html" title="interface in fr.iut.librarymanagement.repository"><span class="type-name-link">BookRepository</span></a></li>
<li class="circle">fr.iut.librarymanagement.repository.<a href="fr/iut/librarymanagement/repository/LibraryRepository.html" title="interface in fr.iut.librarymanagement.repository"><span class="type-name-link">LibraryRepository</span></a></li>
<li class="circle">fr.iut.librarymanagement.repository.<a href="fr/iut/librarymanagement/repository/UserRepository.html" title="interface in fr.iut.librarymanagement.repository"><span class="type-name-link">UserRepository</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="nav-bar-cell1-rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
